<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry version="5.0-subset Scilab" xml:id="CVS"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>CVS</refname>

    <refpurpose>Controllable Modelica voltage source</refpurpose>
  </refnamediv>

  <refsection>
    <title>Block Screenshot</title>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/palettes/CVS.jpg"
                     valign="middle"></imagedata>
        </imageobject>
      </inlinemediaobject></para>
  </refsection>

  <refsection id="Contents_CVS">
    <title>Contents</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CVS">Controllable Modelica voltage source</link>
        </para>
      </listitem>

      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_CVS">Palette</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Description_CVS">Description</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Defaultproperties_CVS">Default properties</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Interfacingfunction_CVS">Interfacing
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <link linkend="CVS">Modelica model</link>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Seealso_CVS">See also</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Authors_CVS">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Palette_CVS">
    <title>Palette</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Electrical_pal">Electrical.cosf - Electrical
          toolbox</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Description_CVS">
    <title>Description</title>

    <para>This block is an ideal voltage source. The voltage value is
    controlled through the explicit input of the block (connected to standard
    Xcos blocks). The current passing through the block is independent of the
    voltage across the block terminals.</para>

    <para />
  </refsection>

  <refsection id="Defaultproperties_CVS">
    <title>Default properties</title>

    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Inputs :</emphasis>
        </para>

        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis>
            'vin'</para>

            <para>Explicit <emphasis role="bold">variable.</emphasis></para>
          </listitem>

          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis>
            'p'</para>

            <para>Implicit <emphasis role="bold">variable.</emphasis></para>
          </listitem>
        </itemizedlist>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">Outputs :</emphasis>
        </para>

        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis>
            'n'</para>

            <para>Implicit <emphasis role="bold">variable.</emphasis></para>
          </listitem>
        </itemizedlist>
      </listitem>

      <listitem>
        <para><emphasis role="bold">File name of the model :</emphasis>
        CVS</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Interfacingfunction_CVS">
    <title>Interfacing function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/Electrical/CVS.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Modelicamodel_CVS">
    <title>Modelica model</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/Electrical/CVS.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Seealso_CVS">
    <title>See also</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CCS">CCS - Controllable Modelica current
          source</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Authors_CVS">
    <title>Authors</title>

    <para><emphasis role="bold">Masoud Najafi</emphasis> - INRIA</para>
  </refsection>
</refentry>
